### Method

# Gsk ShaderArgsBuilder set_bool

deprecated: 4.16

#### Declaration [src]

    void
    gsk_shader_args_builder_set_bool (
      GskShaderArgsBuilder* builder,
      int idx,
      gboolean value
    )

#### Description [src]

Sets the value of the uniform `idx`.

The uniform must be of bool type.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Parameters

`idx`

  Type: `int`

  Index of the uniform.

`value`

  Type: `gboolean`

  Value to set the uniform to.